import java.util.List;
import java.util.Arrays;
import java.util.ArrayList;

public class MatrixUtilitiesRunner 
{
    public static void main(String[] args) 
    {
			int[][] matrix = {{4,5,6},{4,5,9},{7,7,7,7,7},{1}};
			
			System.out.println("MatrixUtilities  --  print matrix");
			MatrixUtilities.printMatrix( matrix );
			
			System.out.println();
			System.out.println("MatrixUtilities  --  print array sums");
						
			for( int[] row : matrix )
			   System.out.println( MatrixUtilities.arraySum( row ));
			
			System.out.println();
			System.out.println("MatrixUtilities  --  print row sums");   
				
			System.out.println( Arrays.toString( MatrixUtilities.rowSums( matrix )));
			
			System.out.println();
			System.out.println("MatrixUtilities  --   is diverse");   
				
			System.out.println( MatrixUtilities.isDiverse( matrix ) );		
				
			System.out.println("\n\nMatrixUtilities  --  print matrix");
			int[][] matrix2 = {{4,5,6},{4,5,6},{7,7,7,6},{1,2}};	
			MatrixUtilities.printMatrix( matrix2 );
			
			System.out.println("\nMatrixUtilities  --   is diverse");   
			System.out.println( MatrixUtilities.isDiverse( matrix2 ) );		
				
			/* OUTPUT
				
				MatrixUtilities  --  print matrix
				[4, 5, 6]
				[4, 5, 9]
				[7, 7, 7, 7, 7]
				[1]
				
				MatrixUtilities  --  print array sums
				15
				18
				35
				1
				
				MatrixUtilities  --  print row sums
				[15, 18, 35, 1]
				
				MatrixUtilities  --   is diverse
				true
				
				
				MatrixUtilities  --  print matrix
				[4, 5, 6]
				[4, 5, 6]
				[7, 7, 7, 6]
				[1, 2]
				
				MatrixUtilities  --   is diverse
				false

			*/						
    }
}
